#declare plato_base=
lathe{
 quadratic_spline
 12
 <0,0>
 <0,0>
 <3,0>
 <3.1,0.1>
 <3,0.2>
 <4,0.5>
 <6,0.8>
 <5.9,1>
 <4,0.6>
 <3,0.3>
 <0,0.3>
 <0,0.3>
}
#declare oliva=
union{
 difference{
  sphere{<0,0,0>,1}
  sphere{<0,0,0>,0.9}
  cylinder{<-1.2,0,0>,<1.2,0,0>,0.4}
  scale <1,0.7,0.7>
  texture{
   pigment{MediumForestGreen*.5+Bronze*.5}
   normal{bumps}
   finish{Shiny reflection .05}
  }
 }
 cylinder{<-.95,0,0>,<.95,0,0>,0.38
  scale <1,0.7,0.7>
  texture{pigment{Red} finish{Phong_Shiny}}
 }
}
union{
 object{plato_base
  scale <.9,.9,.4>
  texture{pigment{Wheat} finish{Shiny}}
 }
 object{oliva rotate 16*y translate <0,(0.7+0.31),0>}
 object{oliva rotate 46*y translate <-1.6,(0.7+0.31),-.5>}
 object{oliva rotate 111*y translate <1.8,(0.7+0.31),.3>}
 scale 1.5
 rotate 20*y
 translate <30,110.1,258>
}
#declare palillo=
union{
 cylinder{<0,-2.25,0>,<0,2.25,0>,0.09}
 sphere{<0,0,0>,1 scale <.09,2,.09> translate  2.25*y}
 sphere{<0,0,0>,1 scale <.09,2,.09> translate -2.25*y}
}
#declare bote_palillos=
difference{
 cylinder{<0,0,0>,<0,5,0>,1.5 }
 cylinder{<0,0.2,0>,<0,6,0>,1.4 }
 texture{
  pigment{
   image_map{gif "im_botep" map_type 2}
   scale 5
  }
  finish{Shiny}
 }
}
#declare r_pal=seed(627);
#declare num_pal=50;
#declare cnt_pal=1;
union{
 object{bote_palillos}
 #while (cnt_pal<=num_pal)
  object{palillo
   texture{T_Wood10 scale 20 rotate 90*x translate 100*rand(r_pal) finish{Dull}}
   translate (6.1*.5+.2+.3*rand(r_pal))*y
   rotate (-15+30*rand(r_pal))*z
   translate .5*rand(r_pal)*z
   rotate 360*rand(r_pal)*y
  }
  #declare cnt_pal=cnt_pal+1;
 #end
 translate <37,110.1,272>
}
