#declare r1=seed(236);
#declare z_alto=5.6;
#declare z_ancho=3.4;
#declare z_grueso=1.6;
#declare z_alt_base=3.4;
#declare z_alt_tapa=2.2;
#declare z_t_metal=
//texture{Polished_Chrome}
texture{T_Chrome_2E}
//texture{pigment{White}}
#declare z_t_marfil=
texture{
 pigment{Flesh}
 normal{bumps scale 3}
 finish{Phong_Shiny}
}
#declare t_grabado=
  texture{
   material_map{
    gif "mm_grab"
    texture{z_t_metal
     normal{dents 0.06}
     translate 100*rand(r1)
    }
    texture{pigment{Bronze} finish{F_MetalA}
     normal{bump_map{gif "bm_grab" bump_size -.1}}
    }
   }
   translate -.5
   scale <z_ancho,z_alto,1>
  }

#declare zippo=
union{
 // * base *
 intersection{
  difference{
   superellipsoid{
    <.2,.2>
    rotate 90*x
    scale <z_ancho*.5,z_alto*.5,z_grueso*.5>
   }
   superellipsoid{
    <.2,.2>
    rotate 90*x
    scale <z_ancho*.5,z_alto*.5,z_grueso*.5>
    scale 0.95
   }
  }
  plane{y,(-z_alto*.5+z_alt_base)}
  texture{t_grabado}
 }
 // * tapa *
 intersection{
  difference{
   superellipsoid{
    <.2,.2>
    rotate 90*x
    scale <z_ancho*.5,z_alto*.5,z_grueso*.5>
   }
   superellipsoid{
    <.2,.2>
    rotate 90*x
    scale <z_ancho*.5,z_alto*.5,z_grueso*.5>
    scale 0.95
   }
  }
  plane{y,(-z_alto*.5+z_alt_base) inverse}
  texture{t_grabado}
  translate 0.05*y
 }
 // deposito/mecanismo
 /*
 union{
  intersection{
   superellipsoid{
    <.2,.2>
    rotate 90*x
    scale <z_ancho*.5*.9,4,z_grueso*.5*.9>
   }
   plane{y,3.8}
  }
  intersection{
   difference{
    cylinder{}
    cylinder{}
   }
   plane{}
  }
  box{}
  box{}
  texture{T_Chrome_3C
   normal{dents scale <4,2,2>}
  }
  translate (-z_alto*.5)*y
 }
 */
 // cierre
 union{
  difference{
   union{
    cylinder{<.000,0,0>,<.145,0,0>,.1}
     cylinder{<.155,0,0.01>,<.345,0,0.01>,.1}
    cylinder{<.355,0,0>,<.495,0,0>,.1}
     cylinder{<.505,0,0.01>,<.695,0,0.01>,.1}
    cylinder{<.705,0,0>,<.85,0,0>,.1}
   }
   cylinder{<-.1,0,0>,<.9,0,0>,.07}
  }
  cylinder{<.03,0,0>,<.82,0,0>,.066}
  texture{z_t_metal normal{dents 0.06} translate 100*rand(r1) }
  translate (-.85*.5)*x
  rotate 90*y
  translate <(z_ancho*.5+.05),(-z_alto*.5+z_alt_base+.05),0>
 }
}
