#declare mostr_base=
difference{
 box{
  <-50,0,-16>
  < 50,5, 16>
 }
 box{
  <-49.8,2.5,-15.8>
  < 49.8,6, 15.8>
 }
 texture{t_cromo}
}
#declare mostr_cristal=
union{
 intersection{
  difference{
   cylinder{<-49.8,0,0>,<49.8,0,0>,15}
   cylinder{<-49.7,0,0>,<49.7,0,0>,14.9}
  }
  plane{y,0 inverse}
  plane{y,0 rotate 45*x translate 15*z}
 }
 box{<-49.6,0,-10>,<49.6,.1,10> rotate 45*x translate <0,7.5,7.5>}
 texture{Glass3}
}
#declare mostr_marco=
union{
 intersection{
  difference{
   difference{
    cylinder{<-50,0,0>,<50,0,0>,15.1}
    cylinder{<-49.9,0,0>,<49.9,0,0>,15}
   }
   cylinder{<-51,0,0>,<51,0,0>,14.6}
   cylinder{<-49.6,0,0>,<49.6,0,0>,15.2}
  }
  plane{y,0 inverse}
  plane{y,0 rotate 45*x translate 15*z}
 }
 cylinder{<-49.6,14.85,0>,<49.6,14.85,0>,.25}
 cylinder{<0,0,-10>,<0,0,10>,.25 rotate 45*x translate <-49.85,7.5,7.5>}
 cylinder{<0,0,-10>,<0,0,10>,.25 rotate 45*x translate < 49.85,7.5,7.5>}
 texture{t_cromo}
}
#declare bandeja=
intersection{
 difference{
  superellipsoid{
   <.2,.2>
   scale <19.5*.5,3,16>
  }
  superellipsoid{
   <.2,.2>
   scale <19.5*.5,3,16>
   scale .98
  }
 }
 plane{y,0}
 texture{t_cromo}
}
#declare food1=
height_field{
 gif "hf_food1"
 texture{
  material_map{
   gif "mm_food1"
   texture{pigment{Goldenrod}}
   texture{pigment{Flesh}}
   texture{pigment{Red}}
   texture{pigment{ForestGreen}}
   texture{pigment{White}}
   texture{pigment{DarkGreen}}
  }
  rotate 90*x
 }
 translate -.5
 scale <19,8,30>
 translate 3*y
}
#declare food2=
height_field{
 gif "hf_food2"
 texture{
  material_map{
   gif "mm_food2"
   texture{pigment{Pink/2+Salmon/2} finish{F_MetalA}}
   texture{pigment{OldGold filter .99} finish{Glass_Finish ior 1.1}}
  }
  rotate 90*x
 }
 translate -.5
 scale <19,1,30>
}
#declare food3=
height_field{
 gif "hf_food2"
 texture{
  material_map{
   gif "mm_food2"
   texture{pigment{Wheat} finish{Shiny}}
   texture{pigment{OldGold filter .99} finish{Glass_Finish ior 1.1}}
  }
  rotate 90*x
 }
 translate -.5
 rotate 90*y
 scale <19,1,30>
}
#declare food4=
height_field{
 gif "hf_food4"
 texture{
  material_map{
   gif "mm_food4"
   texture{pigment{OldGold filter .99} finish{Glass_Finish ior 1.1}}
   texture{pigment{Firebrick} finish{Shiny}}
   texture{pigment{DarkGreen} finish{Shiny}}
   texture{pigment{Orange} finish{Shiny}}
   texture{pigment{White} finish{Shiny}}
  }
  rotate 90*x
 }
 translate -.5
 scale <19,1,30>
}
#declare food5=
height_field{
 gif "hf_food5"
 texture{
  material_map{
   gif "mm_food5"
   texture{pigment{OldGold filter .99} finish{Glass_Finish ior 1.1}}
   texture{pigment{Flesh} finish{Shiny}}
  }
  rotate 90*x
 }
 translate -.5
 scale <19,1,30>
}
#declare mostrador=
union{
 object{mostr_base}
 object{mostr_cristal translate 5*y}
 object{mostr_marco translate 5*y}
 object{bandeja translate <-50+20*.5,5,0>}
 object{food1 translate <-50+20*.5,5,0>}
 object{bandeja translate <-50+20*.5+20,5,0>}
 object{food2 translate <-50+20*.5+20,4,0>}
/*
 object{bandeja translate <-50+20*.5+20*2,5,0>}
 object{food4 translate <-50+20*.5+20*2,4.1,0>}
 object{bandeja translate <-50+20*.5+20*3,5,0>}
 object{food3 translate <-50+20*.5+20*3,4.1,0>}
 object{bandeja translate <-50+20*.5+20*4,5,0>}
 object{food5 translate <-50+20*.5+20*4,4.1,0>}
*/
}

