#declare t_cromo=
texture{
 Polished_Chrome
 normal{bumps .025 scale 20}
}
#declare t_floor=
texture{
 checker
 texture{T_Stone15}
 texture{T_Grnt8}
 scale 40
}
#declare t_bricks=
/*
texture{
 brick
 texture{pigment{Flesh} normal{granite scale .1}}
 texture{pigment{Tan} normal{wrinkles scale .1}}
 scale <1.6,1,1.6>
 translate room_height
}
*/
texture{
 pigment{Flesh}
 normal{granite}
}
#declare t_white_plastic=
texture{
 pigment{White}
 normal{granite .1 scale .1}
 finish{Shiny reflection .05}
}
#declare t_bar_wood=
texture{
 T_Wood17
 normal{
   wood
   turbulence <0.1, 0.04, 1>
   scale <0.15, 0.5, 1>
   rotate x*2
 }
 finish{Phong_Shiny reflection .15}
 rotate 90*y
 scale 8
}
#declare t_old_skin=
texture{
 pigment{DarkTan}
 normal{crackle}
 finish{metallic}
}
#if (trace_glass)
 #declare m_whisky_liquid=
 material{
  texture{
   pigment{Goldenrod+Bronze*.75 filter 0.6}
   finish{
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection .1
   }
  }
  interior{
   ior Water_Ior
   caustics .9
  }
 }
 #declare m_whisky_glass=
 material{
  texture{
   pigment{ForestGreen*.5+DarkGreen*.5+Gray40 filter 0.999}
   finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.1
   }
  }
  interior{
   ior 1.5
   caustics 0.8
  }
 }
 #declare m_tube_glass=
 material{
  texture{
   pigment{rgbf <1,1,1,.99>}
   finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.15
   }
  }
  interior{
   ior 1.4
   caustics 0.3
  }
 }
 #declare t_glass_cup=
 texture{
  Glass3
 }
#else
 #declare m_whisky_liquid=
 material{texture{pigment{Gold}}}
 #declare m_whisky_glass=
 material{texture{pigment{ForestGreen*.5+DarkGreen*.5} finish{Shiny}}}
 #declare m_tube_glass=
 material{texture{pigment{White} finish{Shiny}}}
 #declare t_glass_cup=
 texture{
  Chrome_Texture
 }
#end
#if (trace_glass)
 #declare m_rum_liquid=
 material{
  texture{
   pigment{White filter 0.99}
   finish{
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection .1
   }
  }
  interior{
   ior Water_Ior
   caustics .9
  }
 }
 #declare m_rum_glass=
 material{
  texture{
   pigment{White*.98 filter 0.98}
   finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.1
   }
  }
  interior{
   ior 1.5
   caustics 0.8
  }
 }
#else
 #declare m_rum_glass=
 material{texture{pigment{White} finish{Shiny}}}
 #declare m_rum_liquid=
 material{texture{pigment{White}}}
#end
#if (trace_glass)
 #declare t_v_bott_glass=
 texture{
  pigment{HuntersGreen+Gray20 filter 0.999}
   finish{Glass_Finish}
 }
#else
 #declare t_v_bott_glass=
 texture{pigment{HuntersGreen}}
#end
#if (trace_glass)
 #declare t_cenicero=texture{Green_Glass}
#else
 #declare t_cenicero=texture{pigment{DarkGreen} finish{Shiny}}
#end
#declare t_bs_metal=
texture{pigment{Goldenrod} finish{Metal}}
#declare t_bs_ceram=
texture{pigment{HuntersGreen} finish{Phong_Shiny reflection 0.1}}

#declare m_golden_bier=
material{
 texture{
  pigment{Gold filter 0.95}
  finish{
   specular 1
   roughness 0.001
   ambient 0
   diffuse 0
   reflection .1
  }
 }
 interior{
  ior Water_Ior
  caustics .9
 }
}

